Returns whether this extension is persistent

- « ReflectionExtension::info

- ReflectionExtension::isTemporary »

- PHP Manual
- ReflectionExtension
- Returns whether this extension is persistent

# ReflectionExtension::isPersistent

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

ReflectionExtension::isPersistent — Returns whether this extension is persistent

### Description

public ReflectionExtension::isPersistent(): bool

Check whether the extension is persistent.

An extension is persistent when it is loaded using php.ini. An extension is temporary, not persistent, when it is loaded with dl().

### Parameters

This function has no parameters.

### Return Values

Returns `true` for extensions loaded by `extension`, `false` otherwise.

### See Also

- ReflectionExtension::isTemporary() - Returns whether this extension is temporary